diff -Nru dahdi-linux-2.11.1.0.20170917~dfsg/debian/changelog dahdi-linux-2.11.1.0.20170917~dfsg/debian/changelog
--- dahdi-linux-2.11.1.0.20170917~dfsg/debian/changelog	2022-06-18 16:08:03.000000000 +0200
+++ dahdi-linux-2.11.1.0.20170917~dfsg/debian/changelog	2023-01-14 15:33:58.000000000 +0100
@@ -1,3 +1,11 @@
+dahdi-linux (1:2.11.1.0.20170917~dfsg-8.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * kernel 6.1 API change: netif_napi_add() uses weight==64 by default
+    (Closes: #1028368)
+
+ -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 Jan 2023 15:33:58 +0100
+
 dahdi-linux (1:2.11.1.0.20170917~dfsg-8) unstable; urgency=medium
 
   * Add linux_5_17_proc_private.patch (Closes: #1012316).
diff -Nru dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/kernel-6.1-API-change-netif_napi_add-uses-weight-64-.patch dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/kernel-6.1-API-change-netif_napi_add-uses-weight-64-.patch
--- dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/kernel-6.1-API-change-netif_napi_add-uses-weight-64-.patch	1970-01-01 01:00:00.000000000 +0100
+++ dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/kernel-6.1-API-change-netif_napi_add-uses-weight-64-.patch	2023-01-14 15:33:58.000000000 +0100
@@ -0,0 +1,42 @@
+From: Harald Welte <laforge@osmocom.org>
+Date: Wed, 30 Nov 2022 16:42:51 +0100
+Subject: kernel 6.1 API change: netif_napi_add() uses weight==64 by default
+Origin: https://gitea.osmocom.org/retronetworking/dahdi-linux/commit/ae5aa32fe0bc0091fb6b07322fa8dd16b502864d
+Bug-Debian: https://bugs.debian.org/1028368
+
+Change-Id: I7e70659e43c930a4c220eaef29cfb4e8d7a6eb0d
+---
+ drivers/dahdi/voicebus/voicebus_net.c | 5 +++++
+ drivers/dahdi/wctc4xxp/base.c         | 5 +++++
+ 2 files changed, 10 insertions(+)
+
+--- a/drivers/dahdi/voicebus/voicebus_net.c
++++ b/drivers/dahdi/voicebus/voicebus_net.c
+@@ -235,7 +235,12 @@ int vb_net_register(struct voicebus *vb,
+ 	netdev->poll = vb_net_poll;
+ 	netdev->weight = 64;
+ #	else
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(6, 1, 0)
++    /* 64 is NAPI_POLL_WEIGHT, i.e. the default */
++    netif_napi_add(netdev, &vb->napi, vb_net_poll);
++#else
+ 	netif_napi_add(netdev, &vb->napi, vb_net_poll, 64);
++#endif
+ #	endif
+ 
+ 	skb_queue_head_init(&vb->captured_packets);
+--- a/drivers/dahdi/wctc4xxp/base.c
++++ b/drivers/dahdi/wctc4xxp/base.c
+@@ -694,7 +694,12 @@ wctc4xxp_net_register(struct wcdte *wc)
+ 	netdev->poll = &wctc4xxp_poll;
+ 	netdev->weight = 64;
+ #	else
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(6, 1, 0)
++    /* 64 is NAPI_POLL_WEIGHT, i.e. the default */
++    netif_napi_add(netdev, &wc->napi, &wctc4xxp_poll);
++#else
+ 	netif_napi_add(netdev, &wc->napi, &wctc4xxp_poll, 64);
++#endif
+ #	endif
+ 
+ 	res = register_netdev(netdev);
diff -Nru dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/series dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/series
--- dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/series	2022-06-18 15:35:22.000000000 +0200
+++ dahdi-linux-2.11.1.0.20170917~dfsg/debian/patches/series	2023-01-14 15:33:58.000000000 +0100
@@ -29,3 +29,4 @@
 dahdi-do-not-use-stdbool.h-in-kernel-modules.patch
 linux_5_17_proc_private.patch
 linux_5_18_pci_consistent.patch
+kernel-6.1-API-change-netif_napi_add-uses-weight-64-.patch
